Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class NotEqualsOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator
          org.jbpm.jpdl.el.impl.EqualityOperator
              org.jbpm.jpdl.el.impl.NotEqualsOperator

    public class NotEqualsOperator

extends EqualityOperator

The implementation of the not equals operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static NotEqualsOperator` | `SINGLETON`

Constructor Summary
`NotEqualsOperator()` Constructor

Method Summary
`boolean` | `apply(boolean pAreEqual, Logger pLogger)` Applies the operator given the fact that the two elements are equal.
`java.lang.String` | `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class org.jbpm.jpdl.el.impl.EqualityOperator
`apply`

Methods inherited from class org.jbpm.jpdl.el.impl.BinaryOperator
`shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final NotEqualsOperator SINGLETON

Constructor Detail

### NotEqualsOperator

    public NotEqualsOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public java.lang.String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public boolean apply(boolean pAreEqual,
                         Logger pLogger)

  Applies the operator given the fact that the two elements are equal.

  Specified by:
    `apply` in class `EqualityOperator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD